<script>
    @if (session()->get('role') == 1)
        $.getJSON(baseUrl+'/getAllProvinsi', (result) => {
            if (result.error_code == '0') {
                let opt = '<option value="">- Pilih -</option>';
                $.each(result.data, function(i, item) {
                    opt += '<option value="'+item.id+'">'+item.nama+'</option>';
                });
                $("#select-provinsi").html(opt);
            }else{
                let opt = '<option value="">- Tidak Bisa -</option>';
                $("#select-provinsi").html(opt);
            }
            $("#select-provinsi").select2({
                placeholder: "Pilih Provinsi",
            });
        });

        $('#select-provinsi').on('change', function() {
            var val1 = this.value;
            $.getJSON(baseUrl+'/getProvinsiDaerah/'+val1, (result) => {
                if (result.error_code == '0') {
                    let opt = '<option value="">- Pilih Daerah -</option>';
                    // var dataSem = result.data;
                    // dataSem.sort(function(a, b){
                    //     return a.id_semester - b.id_semester;
                    // });
                    $.each(result.data, function(i, item) {
                        opt += '<option value="'+item.id+'">'+item.nama+'</option>';
                    });
                    $("#select-daerah").html(opt);
                }else{
                    let opt = '<option value="">- Tidak Bisa -</option>';
                    $("#select-daerah").html(opt);
                }
                $("#select-daerah").select2({
                    placeholder: "Pilih Daerah",
                });
            });
        });

        $('#select-daerah').on('change', function() {
            var val1 = this.value;
            $.getJSON(baseUrl+'/getDaerahSekolah/'+val1, (result) => {
                if (result.error_code == '0') {
                    let opt = '<option value="">- Pilih Sekolah -</option>';
                    // var dataSem = result.data;
                    // dataSem.sort(function(a, b){
                    //     return a.id_semester - b.id_semester;
                    // });
                    $.each(result.data, function(i, item) {
                        opt += '<option value="'+item.id+'">'+item.npsn+' - '+item.nama+'</option>';
                    });
                    $("#select-sekolah").html(opt);
                }else{
                    let opt = '<option value="">- Tidak Bisa -</option>';
                    $("#select-sekolah").html(opt);
                }
                $("#select-sekolah").select2({
                    placeholder: "Pilih Sekolah",
                });
            });
        });
        $('#select-sekolah').on('change', function() {
            var val1 = this.value;
            $.getJSON(baseUrl+'/getJurusanSekolah/'+val1, (result) => {
                if (result.error_code == '0') {
                    let opt = '<option value="">- Pilih Jurusan -</option>';
                    // var dataSem = result.data;
                    // dataSem.sort(function(a, b){
                    //     return a.id_semester - b.id_semester;
                    // });
                    $.each(result.data, function(i, item) {
                        opt += '<option value="'+item.id+'">'+item.nama+'</option>';
                    });
                    $("#select-jurusan").html(opt);
                }else{
                    let opt = '<option value="">- Tidak Bisa -</option>';
                    $("#select-jurusan").html(opt);
                }
                $("#select-jurusan").select2({
                    placeholder: "Pilih Jurusan",
                });
            });
        });
    @endif
</script>